Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette

From: Ken Brown <[email-masked]>
Date: Thu, 05 Jun 2014 13:57:22 -0400

On 6/5/2014 1:25 PM, Eli Zaretskii wrote:
>> From: Zdzislaw Meglicki <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Thu, 05 Jun 2014 11:58:00 -0400
>>
>> Incidentally, rmail, there's another bug there, that showed up only in
>> the latest version of emacs, the one I got from you, 24.3.90.1. When I
>> am in the rmail-summary and try to get out of it by typing "q", I get a
>> message that the pointer does not point to the right window. Something
>> gets screwed up there.  It worked in the earlier versions.
>
> My crystal ball says this is bug #16433.  If so, it should be fixed in
> the next pretest.  For now, set cache-long-scans to nil in the Rmail
> buffer, to work around.

I thought it might be bug #17283.  If so, the following patch should fix it:

=== modified file 'lisp/mail/rmail.el'
--- lisp/mail/rmail.el  2014-02-13 18:23:36 +0000
+++ lisp/mail/rmail.el  2014-04-29 15:51:49 +0000
@@ -1573,7 +1572,7 @@
    (when (boundp 'rmail-quit-hook)
      (run-hooks 'rmail-quit-hook))
    ;; Don't switch to the summary buffer even if it was recently visible.
-  (when rmail-summary-buffer
+  (when (rmail-summary-exists)
      (with-current-buffer rmail-summary-buffer
        (set-buffer-modified-p nil))
      (replace-buffer-in-windows rmail-summary-buffer)

Ken